Changeset 654


Ignore:
Timestamp:
Nov 27, 2015, 7:10:55 PM (4 years ago)
Author:
cito
Message:

Specify supported Python versions for the 5.x branch

Tests for Python 2.6, 2.7, 3.3, 3.4, 3.5 are running now, so we can specify these
versions as supported in this branch. Older versions are still supported in 4.x.

A config file for testing with tox has been added.

Location:
trunk
Files:
1 added
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/docs/announce.txt

    r516 r654  
    44
    55-------------------------------
    6 Release of PyGreSQL version 4.2
     6Release of PyGreSQL version 5.0
    77-------------------------------
    88
    9 Release 4.2 of PyGreSQL.
     9Release 5.0 of PyGreSQL.
    1010
    11 It is available at: http://pygresql.org/files/PyGreSQL-4.2.tgz.
     11It is available at: http://pygresql.org/files/PyGreSQL-5.0.tgz.
    1212
    1313If you are running NetBSD, look in the packages directory under databases.
     
    2323 - NetBSD
    2424 - FreeBSD
    25  - openSUSE 12.2
     25 - openSUSE
     26 - Ubuntu
    2627 - Windows 7 with both MinGW and Visual Studio
    27  - PostgreSQL 8.4, 9.0 and 9.2 32 and 64bit
    28  - Python 2.5, 2.6 and 2.7 32 and 64bit
     28 - PostgreSQL 9.0 and 9.3 64bit
     29 - Python 2.6, 2.7, 3.3, 3.4 and 3.5 32 and 64bit
    2930
    3031| D'Arcy J.M. Cain
  • trunk/docs/changelog.txt

    r638 r654  
    11ChangeLog
    22=========
     3
     4Version 5.0
     5-----------
     6- This version runs on both Python 2 and Python 3.
     7- The supported versions are Python 2.6, 2.7, 3.3, 3.4 and 3.5.
     8- The supported PostgreSQL versions are 9.0, 9.1, 9.2, 9.3 and 9.4.
     9
    310
    411Version 4.2
    512-----------
    613- Set a better default for the user option "escaping-funcs".
    7 - Greatly improve unit testing.
    814- Force build to compile with no errors.
    915- Fix decimal point handling.
     
    1117- Add option to return money values as string.
    1218- Fix notification handler (Thanks Patrick TJ McPhee).
     19- Fix a small issue with large objects.
     20- Greatly improve unit testing, tests run with Python 2.4 to 2.7 again.
    1321
    1422Version 4.1.1 (2013-01-08)
  • trunk/docs/install.txt

    r636 r654  
    1212
    1313The current version of PyGreSQL has been tested with Python versions
    14 2.7, 3.4 and PostGreSQL version 9.4. Older version should work as well,
    15 but you will need at least Python 2.6 and PostgreSQL 9.0.
     142.6, 2.7, 3.3, 3.4, 3.5 and PostGreSQL version 9.0 to 9.4.
    1615
    1716PyGreSQL will be installed as three modules, a dynamic module called
  • trunk/module/setup.py

    r640 r654  
    2222  (the Windows installer has it as part of the database server feature)
    2323
    24 The supported versions are Python 2.6-3.5 and PostgreSQL 9.0-9.5.
     24The supported versions are Python 2.6-2.7, 3.3-3.5 and PostgreSQL 9.0-9.5.
    2525
    2626Use as follows:
     
    4141import sys
    4242
    43 if not (2, 6) <= sys.version_info[:2] <= (3, 5):
     43if (not (2, 6) <= sys.version_info[:2] <= (2, 7)
     44        and not (3, 3) <= sys.version_info[:2] <= (3, 5)):
    4445    raise Exception("Sorry, PyGreSQL %s"
    4546        " does not support this Python version" % version)
     
    186187        "Operating System :: OS Independent",
    187188        "Programming Language :: C",
    188         "Programming Language :: Python",
     189        'Programming Language :: Python',
     190        'Programming Language :: Python :: 2',
     191        'Programming Language :: Python :: 2.6',
     192        'Programming Language :: Python :: 2.7',
     193        'Programming Language :: Python :: 3',
     194        'Programming Language :: Python :: 3.3',
     195        'Programming Language :: Python :: 3.4',
     196        'Programming Language :: Python :: 3.5',
    189197        "Programming Language :: SQL",
    190198        "Topic :: Database",
Note: See TracChangeset for help on using the changeset viewer.